libtree(1)

NAME
libtree - print shared object dependencies as a tree

SYNOPSIS
libtree [ option ]... [--] [ file ]...

DESCRIPTION
libtree prints the shared libraries required by each program or shared library on the command line as a tree. By default certain common system libraries are hidden to prune the tree.

OPTIONS

-h, --help
    Print usage

--version
    Print version info

-p, --path
    Show the path of libraries instead of their soname

-v  Show libraries skipped by default

-vv Show dependencies of libraries skipped by default

-vvv
    Show dependencies of already encountered libraries

--ldconf arg
    Path to custom ld.so.conf or ld-elf.so.conf file

--max-depth n
    Limit library traversal to a depth of at most n . The value cannot be larger than 32.

--  All arguments after '--' are interpreted as paths, not flags.

ENVIRONMENT
LD_LIBRARY_PATH can be used to provide additional search paths.

AUTHOR
Harmen Stoppels <me@harmenstoppels.nl>

SEE ALSO
ldd(1)